%% Play two movies in sequence, with "ready screen" before each.

% 1. Disable second screen in NVidia control panel
% 2. Start this script
% 3. Start MEG recording (localize head, start)
% 3. Press any key to start movie and send trigger to start MEG recording
% 4. Verify that MEG started recording
% 5. Press escape to quit at any time (escape again to exit second movie if needed)

% ProPixxMovie.m function is in c:\Toolboxes, which should be on Matlab path

% Force PTB screen detection, if turning on/off projector or second screen
clear all %#ok<CLALL>
clc

Path = 'D:\Documents\Protocols\MPNeurobank';
MovieFile = 'PartlyCloudy_Stereo_CFR_fixed.mp4';
Duration = 316;
ProPixxMovie(fullfile(Path, MovieFile), Duration);

%% second movie
% 6. Restart MEG recording (new acquisition, localize head, start)
% 7. Press any key to start movie and MEG
MovieFile = 'the_present_H264.mp4';
Duration = 204;
ProPixxMovie(fullfile(Path, MovieFile), Duration);
